org.bdgenomics.adam.rich

# RichAlignmentRecord

###
Related Docs: object RichAlignmentRecord | package rich

#### class RichAlignmentRecord extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RichAlignmentRecord
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichAlignmentRecord(record: AlignmentRecord)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### def fivePrimePosition: Long

10. #### def fivePrimeReferencePosition: ReferencePosition

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getReferenceContext(readOffset: Int, referencePosition: Long, cigarElem: CigarElement, elemOffset: Int): ReferenceSequenceContext

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### lazy val illuminaOptics: Option[IlluminaOptics]

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isMismatchAtReadOffset(offset: Int): Option[Boolean]

17. #### def isMismatchAtReferencePosition(pos: ReferencePosition): Option[Boolean]

18. #### lazy val mdTag: Option[MdTag]

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def overlapsReferencePosition(pos: ReferencePosition): Boolean

23. #### lazy val qualityScores: Array[Int]

24. #### def readOffsetToReferencePosition(offset: Int): Option[ReferencePosition]

25. #### def readOffsetToReferenceSequenceContext(offset: Int): Option[ReferenceSequenceContext]

26. #### val record: AlignmentRecord

27. #### lazy val referenceContexts: Seq[Option[ReferenceSequenceContext]]

28. #### lazy val referenceLength: Int

29. #### lazy val referencePositions: Seq[Option[ReferencePosition]]

30. #### lazy val samtoolsCigar: Cigar

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### lazy val tags: Seq[Attribute]

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### lazy val unclippedEnd: Long

35. #### lazy val unclippedStart: Long

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped